TETGEN(1)

NAME
tetgen — A Quality Tetrahedral Mesh Generator

SYNOPSIS

tetgen [-pq__a__AriYMS__T__dzjo_fengGOJBNEFICQVvh] file

DESCRIPTION

This manual page documents briefly the tetgen command. Full documentation is available online: http://tetgen.berlios.de/

tetgen generates the Delaunay tetrahedralization, Voronoi diagram, and convex hull for three-dimensional point sets, generates the constrained Delaunay tetrahedralizations and quality tetrahedral meshes for three-dimensional domains with piecewise linear boundary.

OPTIONS

A summary of options is included below. For a complete description, see the online documentation.

-p  Tetrahedralizes a picecwise linear complex (.poly or .smesh file).

-q  Quality mesh generation. A minimum radius-edge ratio may be specifyed (default 2.0).

-a  Applies a maximum tetrahedron volume constraint.

-A  Assigns attributes to identify tetrahedra in certain regions.

-r  Reconstructs/Refines a previously generated mesh.

-Y  Suppresses boundary facets/segments splitting.

-i  Inserts a list of additional points into mesh.

-M  Does not merge coplanar facets.

-T  Set a tolerance for coplanar test (default 1e-8).

-d  Detect intersections of PLC facets.

-z  Numbers all output items starting from zero.

-j  Jettison unused vertices from output .node file.

-o2 Generates second-order subparametric elements.

-f  Outputs faces (including non-boundary faces) to .face file.

-e  Outputs subsegments to .edge file.

-n  Outputs tetrahedra neighbors to .neigh file.

-g  Outputs mesh to .mesh file for viewing by Medit.

-G  Outputs mesh to .msh file for viewing by Gid.

-O  Outputs mesh to .off file for viewing by Geomview.

-B  Suppresses output of boundary information.

-N  Suppresses output of .node file.

-E  Suppresses output of .ele file.

-F  Suppresses output of .face file.

-I  Suppresses mesh iteration numbers.

-C  Checks the consistency of the final mesh.

-Q  Quiet: No terminal output except errors.

-V  Verbose: Detailed information on what I'm doing.

-v  Prints the version information.

-h  Help: A brief instruction for using TetGen.

EXAMPLES

The wing is described in two files: wing.node and wing.poly. The command line:

tetgen -pq wing

generates the quality mesh in three files: wing.1.node, wing.1.ele, and wing.1.face.

Default, the radius-edge ratio of each tetrahedron is bounded below 2.0. You can impose a tight bound by adding a number directly after the '-q' switch. Like this:

tetgen -pq1.2 wing

generates a quality mesh which have more points inserted than the mesh created in above.

See http://tetgen.berlios.de/switches.examples.html for more examples.

SEE ALSO

netgen (1)

AUTHOR

This manual page was written by Ondrej Certik <ondrej@certik.cz> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.